## openjdk-19 19+36

=== debian/changelog ===
openjdk-19 (19+36-2) unstable; urgency=medium

  * Enable hotspot on riscv64. Closes: #1020545.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Sep 2022 16:16:51 +0200

openjdk-19 (19+36-1) unstable; urgency=medium

  * OpenJDK 19 release.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Sep 2022 14:55:13 +0200

openjdk-19 (19~32ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 32.
  * Re-enable running the test suite.
  * Only try to re-run failed tests once instead of three times.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Jul 2022 10:25:56 +0200

openjdk-19 (19~31ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 31.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Jul 2022 11:04:08 +0200

openjdk-19 (19~23ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 23.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 May 2022 11:55:51 +0200
