## openjdk-19 19.0.2%2B7

=== debian/changelog ===
openjdk-19 (19.0.2+7-4revyos1) unstable; urgency=medium

  * Use gcc13 build

 -- Han Gao <gaohan@iscas.ac.cn>  Mon, 21 Aug 2023 14:48:28 +0800

openjdk-19 (19.0.2+7-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Disable running tests on x32, hangs on the buildds.
  * Update download location.
  * Configure --with-stdc++lib=static on ia64.
  * Link with --no-as-needed. Closes: #1031521.

  [ Vladimir Petkov ]
  * d/rules: Use libtestng7-java as jtreg6 dependency.
  * d/rules: Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jul 2023 12:02:15 +0200

openjdk-19 (19.0.2+7-2) unstable; urgency=medium

  * d/p/m68k-support.diff: update target directory for x11 wrapper type sizes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Jun 2023 08:40:00 +0200

openjdk-19 (19.0.2+7-1) unstable; urgency=high

  * OpenJDK 19.0.2 release, build 7.
    - CVE-2023-21835, CVE-2023-21843
    - Release notes:
      https://www.oracle.com/java/technologies/javase/19-0-2-relnotes.html

  [ Matthias Klose ]
  * Handle jtreg package name for backports.
  * debian/tests/control.in: Use 19 instead of 18.
  * Bump standards version.

  [ Vladimir Petkov ]
  * debian/patches/*: Refreshed patches for the new release and dropped unused
    patches.
  * debian/patches/*: restore commented out patches.
  * debian/patches/reproducible-properties-timestamp.diff: drop patch in favor
    of JDK-8231640.
  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.
  * debian/tests/control: use openjdk-19-jre-headless for smoke tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Jun 2023 16:35:13 +0200

openjdk-19 (19.0.1+10-1) unstable; urgency=medium

  * OpenJDK 19.0.1 release.
  * Security fixes
    - JDK-8289366: Improve HTTP/2 client usage.
    - JDK-8288508: Enhance ECDSA usage.
    - JDK-8286918: Better HttpServer service.
    - JDK-8287446: Enhance icon presentations.
    - JDK-8286910: Improve JNDI lookups.
    - JDK-8286511: Improve macro allocation.
    - JDK-8286526: Improve NTLM support.
    - JDK-8286533: Key X509 usages.
    - JDK-8286077: Wider MultiByte conversions.
    - JDK-8286519: Better memory handling.
    - JDK-8285662: Better permission resolution.
    - JDK-8282252: Improve BigInteger/Decimal validation.
  * Update VCS attributes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Oct 2022 07:16:19 +0200
